Package ru.bitel.bgbilling.modules.rscm.common.bean

# Class RSCMContractService

java.lang.Object
ru.bitel.bgbilling.modules.rscm.common.bean.RSCMContractService

All Implemented Interfaces:
  `java.io.Serializable`

    public class RSCMContractService
    extends java.lang.Object
    implements java.io.Serializable

Потребленная договором услуга RSCM модуля.

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `RSCMContractService()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.math.BigDecimal` | `getAmount()` |
  `java.lang.String` | `getComment()` |
  `int` | `getContractId()` |
  `java.time.LocalDate` | `getDate()` |
  `int` | `getId()` |
  `int` | `getInstallmentId()` |
  `int` | `getServiceId()` |
  `java.lang.String` | `getServiceTitle()` |
  `java.lang.String` | `getUnit()` |
  `void` | `setAmount​(java.math.BigDecimal amount)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setContractId​(int cid)` |
  `void` | `setDate​(java.time.LocalDate date)` |
  `void` | `setId​(int id)` |
  `void` | `setInstallmentId​(int installmentId)` |
  `void` | `setServiceId​(int serviceId)` |
  `void` | `setServiceTitle​(java.lang.String serviceTitle)` |
  `void` | `setUnit​(java.lang.String unit)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RSCMContractService

    public RSCMContractService()

- ## Method Details

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int cid)

  - ### getId

    public int getId()

  - ### getServiceId

    public int getServiceId()

  - ### setId

    public void setId​(int id)

  - ### setServiceId

    public void setServiceId​(int serviceId)

  - ### getInstallmentId

    public int getInstallmentId()

  - ### setInstallmentId

    public void setInstallmentId​(int installmentId)

  - ### getUnit

    public java.lang.String getUnit()

  - ### setUnit

    public void setUnit​(java.lang.String unit)

  - ### getDate

    public java.time.LocalDate getDate()

  - ### setDate

    public void setDate​(java.time.LocalDate date)

  - ### getServiceTitle

    public java.lang.String getServiceTitle()

  - ### setServiceTitle

    public void setServiceTitle​(java.lang.String serviceTitle)

  - ### getAmount

    public java.math.BigDecimal getAmount()

  - ### setAmount

    public void setAmount​(java.math.BigDecimal amount)